rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
rpmrfile_s Struct Reference

Repository metadata file. More...

Collaboration diagram for rpmrfile_s:
[legend]

## Data Fields
const char * | type
const char * | xml_init
const char * | xml_qfmt
const char * | xml_fini
const char ** | sql_init
const char * | sql_qfmt
const char * | yaml_init
const char * | yaml_qfmt
const char * | yaml_fini
const char * | Packages_init
const char * | Packages_qfmt
const char * | Packages_fini
const char * | Sources_init
const char * | Sources_qfmt
const char * | Sources_fini
FD_t | fd
const char * | digest
const char * | Zdigest
time_t | ctime

## Detailed Description

Repository metadata file.

Definition at line 73 of file rpmrepo.c.

## Field Documentation

time_t rpmrfile_s::ctime

Definition at line 117 of file rpmrepo.c.

Referenced by repoCloseMDFile(), and repoMDExpand().

const char* rpmrfile_s::digest

Definition at line 114 of file rpmrepo.c.

Referenced by main(), repoCloseMDFile(), and repoMDExpand().

FD_t rpmrfile_s::fd

Definition at line 109 of file rpmrepo.c.

Referenced by repoCloseMDFile(), repoDoRepoMetadata(), repoOpenMDFile(), and rfileXMLWrite().

const char* rpmrfile_s::Packages_fini

Definition at line 101 of file rpmrepo.c.

const char* rpmrfile_s::Packages_init

Definition at line 97 of file rpmrepo.c.

const char* rpmrfile_s::Packages_qfmt

Definition at line 99 of file rpmrepo.c.

const char* rpmrfile_s::Sources_fini

Definition at line 107 of file rpmrepo.c.

const char* rpmrfile_s::Sources_init

Definition at line 103 of file rpmrepo.c.

const char* rpmrfile_s::Sources_qfmt

Definition at line 105 of file rpmrepo.c.

const char** rpmrfile_s::sql_init

Definition at line 83 of file rpmrepo.c.

Referenced by repoOpenMDFile().

const char* rpmrfile_s::sql_qfmt

Definition at line 85 of file rpmrepo.c.

Referenced by repoWriteMDFile().

const char* rpmrfile_s::type

Definition at line 75 of file rpmrepo.c.

Referenced by repoCloseMDFile(), repoDoRepoMetadata(), repoMDExpand(), repoOpenMDFile(), and repoRfileDigest().

const char* rpmrfile_s::xml_fini

Definition at line 81 of file rpmrepo.c.

Referenced by repoCloseMDFile(), and repoDoRepoMetadata().

const char* rpmrfile_s::xml_init

Definition at line 77 of file rpmrepo.c.

Referenced by repoDoRepoMetadata(), and repoOpenMDFile().

const char* rpmrfile_s::xml_qfmt

Definition at line 79 of file rpmrepo.c.

Referenced by repoWriteMDFile().

const char* rpmrfile_s::yaml_fini

Definition at line 95 of file rpmrepo.c.

const char* rpmrfile_s::yaml_init

Definition at line 91 of file rpmrepo.c.

const char* rpmrfile_s::yaml_qfmt

Definition at line 93 of file rpmrepo.c.

const char* rpmrfile_s::Zdigest

Definition at line 116 of file rpmrepo.c.

Referenced by main(), repoCloseMDFile(), and repoMDExpand().

The documentation for this struct was generated from the following file:

- tools/rpmrepo.c